## invada-studio-plugins 0.3.1

=== Makefile ===
#   Copyright (C) 2007 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particular
# you may wish to remove the middle "local/" part of the path.

INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
INSTALL_LRDF_DIR	=	/usr/local/share/ladspa/rdf/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################


# GENERAL

CC		=	gcc
LD		=	ld
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-shared -lc -lm -L. -linv_common

PLUGINS		=	libinv_common.a \
                        inv_compressor.so \
                        inv_erreverb.so \
                        inv_filter.so \
                        inv_input.so \
                        inv_tube.so \


all: $(PLUGINS)

# RULES TO BUILD PLUGINS FROM C CODE

libinv_common.a:   libinv_common.o  libinv_common.h  
inv_compressor.so: inv_compressor.o inv_compressor.h 
inv_erreverb.so:   inv_erreverb.o   inv_erreverb.h   
inv_filter.so:     inv_filter.o     inv_filter.h     
inv_input.so:      inv_input.o      inv_input.h      
inv_tube.so:       inv_tube.o       inv_tube.h       




# OTHER TARGETS

install: targets
	-mkdir -p		$(INSTALL_PLUGINS_DIR)
	cp *.so 		$(INSTALL_PLUGINS_DIR)
	-mkdir -p		$(INSTALL_LRDF_DIR)
	cp inv_plugins.rdf 	$(INSTALL_LRDF_DIR)

targets:	$(PLUGINS)

always:	

clean:
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.a"`
	-rm -f `find . -name "*.o"`
	-rm -f `find .. -name "*~"`

%.o: %.c
	@echo "Compiling $<"
	@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ 

%.so: %.o
	@echo "Creating  $@"
	@$(LD) -o $@ $< $(LDFLAGS)

%.a: %.o
	@echo "Creating  $@"
	@ar rcs $@ $<

=== debian/changelog ===
invada-studio-plugins (0.3.1-7) unstable; urgency=medium

  * Team upload.
  * Use new team address.

 -- Bastian Germann <bage@debian.org>  Wed, 11 Oct 2023 23:14:13 +0200

invada-studio-plugins (0.3.1-6) unstable; urgency=medium

  * Team upload.
  * Modernize packaging:
    + debhelper compat v13.
    + Standards-Version 4.6.1.
  * debian/control: Use salsa git packaging repo.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Oct 2022 16:33:15 -0400

invada-studio-plugins (0.3.1-5) unstable; urgency=medium

  * Fix FTCBFS: Override gcc set in LD. (Closes: #882972)
  * Remove trailing-whitespaces.
  * Bump Standards.
  * Vcs - use git instead of cgit.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Nov 2017 12:07:27 +0100

invada-studio-plugins (0.3.1-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Fix VCS fields.
  * Bump Standards.
  * Fix hardening.
  * Sign tags.
  * Avoid useless linking.
  * Update copyright.
  * Add local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Dec 2016 19:01:10 +0100

invada-studio-plugins (0.3.1-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Set compat/dh 9.
  * Bump Standards.
  * Removed obsolete DMUA.
  * Update VCS urls.
  * Added patch to pass flags correctly.
  * Patches forwarded.

  [ Felipe Sateler ]
  * do not use _init and _fini but instead {con,de}structor attributes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 04 Mar 2014 16:01:54 +0100

invada-studio-plugins (0.3.1-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Bump Standards
  * Copyright switched to rev. 204
  * Switched to debhelper short
  * Fixed watch file

  [ Alessio Treglia ]
  * Update Standards to 3.9.3.
  * Update debian/copyright to 1.0 format.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Feb 2012 02:13:51 +0100

invada-studio-plugins (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #540042)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 05 Aug 2009 05:33:07 +0200

=== debian/control ===
Source: invada-studio-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 13),
 fakeroot,
 ladspa-sdk (>= 1.1),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/invada-studio/+download
Vcs-Git: https://salsa.debian.org/multimedia-team/invada-studio-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/invada-studio-plugins

Package: invada-studio-plugins-ladspa
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ladspa-plugin,
Suggests:
 ardour,
 hydrogen,
 jack-rack,
 muse,
 rosegarden,
Description: Invada Studio Plugins - a set of LADSPA audio plugins
 Utility Plugins
   Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal
 .
 Filter Plugins
   Low Pass (Mono and Stereo version)
   High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters
 .
 Simulation Plugins
   Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation
 .
 Dynamics Plugins
   Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor
 .
 Reverb Plugins
   ER Reverb - (Mono and Stereo summing In)
 Early reflection based reverb.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'LD=$$(CC)'

override_dh_auto_install:
	$(MAKE) install INSTALL_PLUGINS_DIR=$(CURDIR)/debian/invada-studio-plugins-ladspa/usr/lib/ladspa INSTALL_LRDF_DIR=$(CURDIR)/debian/invada-studio-plugins-ladspa/usr/share/ladspa/rdf

=== debian/watch ===
version=3

https://launchpad.net/invada-studio/+download/ \
https://launchpad.net/invada-studio/ladspa/\d\.\d/\+download/invada-studio-plugins_(.*)-nopkg.tar.gz
